TenantControllerGetTenantById Method |
GET /Tenant/{id}
Gets a tenant with the specified ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Index")]
public IActionResult GetTenantById(
Guid id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Index")>
Public Function GetTenantById (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ GetTenantById(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Index")>]
member GetTenantById :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the tenant to get. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
TenantData object containing the tenant data, or a status code indicating the problem.
See Also